<?php
/* 
	Nagios-Cacti Unified Reporting Dashboard (NURD)
	
	Copyright 2010 Nicholas Watts <nwatts4@une.edu.au>
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	MA 02110-1301, USA.
*/
$nagios_db_host = "localhost";
$nagios_db_port = ""; // leave blank for default
$nagios_db_name = "";
$nagios_db_user = "";
$nagios_db_pass = "";
$nagios_db_prefix = "";
$cacti_rootdir = "../.."; // leave as ../.. if installing to cacti plugins folder
include_once($cacti_rootdir."/include/global.php");
include_once($cacti_rootdir."/include/config.php");
include_once($cacti_rootdir."/lib/database.php");
include_once($cacti_rootdir."/lib/html_validate.php");
?>

<!--
        Nagios-Cacti Report Generator :: index.html
        
        Copyright 2010 Nicholas Watts <nwatts4@une.edu.au>
        
        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
        MA 02110-1301, USA.
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<title>Nagios/Cacti Report Generator</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta name="generator" content="Geany 0.14" />
	<link rel="stylesheet" href="report.css" />
	<script src="calendar_us.js" language="javascript"></script>
	<script src="html_report.js" language="javascript"></script>
	<script src="interface.js" language="javascript"></script>
	<link rel="stylesheet" href="calendar.css">
</head>

<body>
	<div class="interface_header">
	<img src="logo.png">
	&nbsp;&nbsp;NURD - Nagios/Cacti Unified Reporting Dashboard
	</div>
	<form name="report_form" action="generator.php" method="get">
	<table class="input_table">
	    <tr>
	        <td class="input_td">
				<span class="form_label">Nagios Host: </span><br />
				<select name="nagios_hostname" size="1" onChange="lookup_cacti_host()">
				<?php
				$top_selected = false;
				$nagdb = mysql_connect($nagios_db_host, $nagios_db_user, $nagios_db_pass);
				if (!$nagdb) {
					die('Could not connect: ' . mysql_error());
				}
				if (mysql_select_db($nagios_db_name) == FALSE) {
					die('Could not connect: ' . mysql_error());
				}
				$query = 'SELECT name1 FROM '.$nagios_db_prefix.'objects WHERE objecttype_id=1;';
				$result = mysql_query($query, $nagdb);
				$row = mysql_fetch_assoc($result);
				while ($row != FALSE) {
					if ($top_selected == FALSE) {
						echo("<option value=\"".$row['name1']."\" selected=\"selected\">".$row['name1']."</option>\n");
						$top_selected = TRUE;
					}
					else {
						echo("<option value=\"".$row['name1']."\">".$row['name1']."</option>\n");
					}
					$row = mysql_fetch_assoc($result);
				}
				mysql_close($nagdb);
				?>
				</select><br />
				<input type="checkbox" checked="checked" name="show_host" id="show_host"/>
				<label for="show_host">Host Status</label><br />
				<input type="checkbox" checked="checked" name="show_services" id="show_services"/>
				<label for="show_services">Service Status</label><br />
				<input type="checkbox" checked="checked" name="show_trends" id="show_trends"/>
				<label for="show_trends">Trend Graphs (if available)</label><br />
				<input type="checkbox" checked="checked" name="show_logs" id="show_logs"/>
				<label for="show_logs">Status Logs</label>
	        </td>
	        <td class="input_td">
				<input type="hidden" name="cacti_host_id" />
				<span class="form_label">Associated Cacti Host:</span><br /><div id="cacti_hostname"></div>
			</td>
	        <td class="input_td">
	        <span class="form_label">Time Span:</span><br />
	        <select name="report_span" size="1" onChange="span_changed()">
				<option value="lasthour">Last Hour</option>
				<option value="lastday">Last Day (24 hours)</option>
				<option value="lastweek">Last Week (7 days)</option>
				<option value="lastmonth">Last Month (31 days)</option>
				<option value="lastyear">Last Year (365 days)</option>
				<option value="financialyear">This Financial Year (July 1st - Present)</option>
				<option value="custom">Custom...</option>
	        </select>
	        <input type="button" value="Update" onClick="html_preview('preview_div')" />
	        <input type="button" value="Printer Friendly Version" onClick="html_preview('')" />
				<div id="custom_span" style="display:none;">
				<table>
					<tr>
						<td>
							<span class="form_label">Start Date: </span>
						</td>
						<td>
							<input type="text" name="graph_start_date" />
							<script language="javascript">
							var cal1 = new tcal ({
								'formname':'report_form',
								'controlname':'graph_start_date'
							});
							cal1.a_tpl.yearscroll = true;
							</script>
						</td>
						<td>
							<span class="form_label">Start Time: </span>
						</td>
						<td>
							<input type="text" name="graph_start_time" />
						</td>
					</tr>
					<tr>
						<td>
							<span class="form_label">End Date: </span>
						</td>
						<td>
							<input type="text" name="graph_end_date" />
							<script language="javascript">
							var cal2 = new tcal ({
								'formname':'report_form',
								'controlname':'graph_end_date'
							});
							cal2.a_tpl.yearscroll = true;
							</script>
						</td>
						<td>
							<span class="form_label">End Time: </span>
						</td>
						<td>
							<input type="text" name="graph_end_time" />
						</td>
					</tr>
				</table>
				<br />
					<div class="help_note">
					<strong>Example:</strong> August 12, 2010 at 4:30pm<br />
					<p>Date: <em>08/12/2010</em><br />
					Time: <em>16:30</em></p>
					</div>
				</div>
	        </td>
	    </tr>
	</table>
	<input type="hidden" name="graph_start" />
	<input type="hidden" name="graph_end" />
	</form>
	<hr />
	<div id="preview_div"></div>
	<script language="javascript">
	/* run manually the first time to prevent errors */
	lookup_cacti_host();
	</script>
</body>
</html>
