<?php
/* 
	Nagios-Cacti Unified Reporting Dashboard (NURD)
	
	Copyright 2010 Nicholas Watts <nwatts4@une.edu.au>
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	MA 02110-1301, USA.
*/

$cacti_rootdir = "../..";
include_once($cacti_rootdir."/include/global.php");
include_once($cacti_rootdir."/include/config.php");
include_once($cacti_rootdir."/lib/database.php");
include_once($cacti_rootdir."/lib/html_validate.php");

if (!empty($_GET["timespan"])) {
	$timespan = $_GET["timespan"];
}

if (!empty($_GET["starttime"])) {
	$starttime = $_GET["starttime"];
}

if (!empty($_GET["endtime"])) {
	$endtime = $_GET["endtime"];
}

/* Verify that at least one timespan type was chosen */
if (empty($starttime) && empty($timespan))
{
	die ("No timespan method chosen.");
}

if (!empty($_GET["cacti_host_id"])) {
	$host_id = $_GET["cacti_host_id"];
	// need to validate
}
else
{
	die ("host id missing");
}

if (!empty($_GET["nagios_hostname"])) {
	$hostname = $_GET["nagios_hostname"];
	// need to validate
}
else
{
	die ("hostname missing");
}

if (!empty($_GET["show_host"]) && $_GET["show_host"] == "yes") {
	$show_host = "true";
	// need to validate
}
else { $show_host = "false"; }
if (!empty($_GET["show_services"]) && $_GET["show_services"] == "yes") {
	$show_services = "true";
	// need to validate
}
else { $show_services = "false"; }
if (!empty($_GET["show_trends"]) && $_GET["show_trends"] == "yes") {
	$show_trends = "true";
	// need to validate
}
else { $show_trends = "false"; }
if (!empty($_GET["show_logs"]) && $_GET["show_logs"] == "yes") {
	$show_logs = "true";
	// need to validate
}
else { $show_logs = "false"; }
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<title><?php echo $hostname; ?> :: NURD Report</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta name="generator" content="Geany 0.14" />
	<link rel="stylesheet" href="report.css" />
	<script src="html_report.js" language="javascript"></script>
	<link rel="stylesheet" href="calendar.css">
</head>

<body>
	<div id="preview_div"></div>
</body>
<script language="javascript" src="interface.js"></script>
<script language="javascript">
<?php
if (!empty($timespan))
{
	echo('var stamps = calculate_timestamps("'.$timespan.'");');
}
else
{
	echo('var stamps = ['.$starttime.','.$endtime.'];');
}


$js_command = 'generate_html_report("preview_div", '.$host_id.', "'.$hostname.'", stamps[0], stamps[1], '.$show_host.', '.$show_services.', '.$show_trends.', '.$show_logs.');';
echo($js_command);
?>
</script>
</html>
